# Class FieldConstant

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.expression.Field
org.snpsift.lang.expression.FieldConstant

Direct Known Subclasses:
  `FieldConstantFloat`

public class FieldConstant extends Field
A 'constant' field: e.g. 'NaN', 'Inf'

Author:
  pablocingolani

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`FieldConstant.FieldConstantNames`

## Field Summary

### Fields inherited from class Field

`exceptionIfNotFound, name, number, returnType, TYPE_ALL, TYPE_ANY, vcfInfo, vcfInfoNumber`

### Fields inherited from class Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`FieldConstant(String name)`

## Method Summary

Modifier and Type
Method
Description
`static Field`
`factory(String name)`
Create fields from constant names
`static boolean`
`isConstantField(String name)`
Is this string a constant's name?

### Methods inherited from class Field

`eval, eval, fieldHeaderNotFound, fieldNotFound, getFieldString, getName, getReturnType, getSampleNum, gtFieldNotFound, indexStr, isSampleName, isSub, returnType, returnType, setExceptionIfNotFound, toString`

### Methods inherited from class Expression

`setNegated`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FieldConstant

public FieldConstant(String name)

## Method Details

### factory

public static Field factory(String name)
Create fields from constant names

### isConstantField

public static boolean isConstantField(String name)
Is this string a constant's name?